## GtkBin GtkBin — A container with just one child |

## Functions

GtkWidget * | gtk_bin_get_child ()

## Types and Values

struct | GtkBin

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ├── GtkWindow
                            ├── GtkAlignment
                            ├── GtkFrame
                            ├── GtkButton
                            ├── GtkItem
                            ├── GtkComboBox
                            ├── GtkEventBox
                            ├── GtkExpander
                            ├── GtkHandleBox
                            ├── GtkToolItem
                            ├── GtkScrolledWindow
                            ╰── GtkViewport

## Implemented Interfaces

GtkBin implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

The GtkBin widget is a container with just one child. It is not very useful itself, but it is useful for deriving subclasses, since it provides common code needed for handling a single child widget.

Many GTK+ widgets are subclasses of GtkBin, including GtkWindow, GtkButton, GtkFrame, GtkHandleBox or GtkScrolledWindow.

## Functions

### gtk_bin_get_child ()

    GtkWidget *
    gtk_bin_get_child (GtkBin *bin);

Gets the child of the GtkBin, or `NULL` if the bin contains no child widget. The returned widget does not have a reference added, so you do not need to unref it.

#### Parameters

bin | a GtkBin |

#### Returns

pointer to child of the GtkBin.

[transfer none]

## Types and Values

### struct GtkBin

    struct GtkBin;